// --- [ rs232_int.h ] ---------------------------------------------------------

#ifndef RS232_INT_
#define RS232_INT_

#define BAUD  	9600
#define TEILER ((F_CPU /(BAUD * 16l)) -1)

#define TX_BUFFER_SIZE			64							// 2^x !!!
#define TX_BUFFER_MASK 			(TX_BUFFER_SIZE - 1)

// Register USCR0B konfigurieren
#define TX_ENABLE 	(1<<RXCIE0 | 1<<TXCIE0 | 0<<UDRIE0 | 1<<RXEN0 | 1<<TXEN0)
#define TX_DISABLE	(1<<RXCIE0 | 0<<TXCIE0 | 0<<UDRIE0 | 1<<RXEN0 | 0<<TXEN0)

void rs232_init(void);
uint8_t rs232_tx_busy(void);
void put_c(uint8_t Zeichen);
void put_s(char *s);
void puts_p(const char *progmem_s);
//void print_hexbyte(unsigned char i);

#endif
// --- [ eof ] ----------------------------------------------------------------